Package ghidra.app.util

# Interface HelpTopics

public interface HelpTopics
Topics for Help. The strings correspond to a folder under the "topics" resource.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABOUT`
  Help Topic for "About."
  `static final String`
  `AUTO_ANALYSIS`
  Help Topic for auto analysis.
  `static final String`
  `BLOCK_MODEL`
  Help Topic for block models.
  `static final String`
  `BOOKMARKS`
  Help Topic for bookmarks.
  `static final String`
  `BYTE_VIEWER`
  Help Topic for the byte viewer.
  `static final String`
  `CODE_BROWSER`
  Help Topic for the code browser.
  `static final String`
  `COMMENTS`
  Help Topic for comments.
  `static final String`
  `CONSOLE`
  Help Topic for the Console Plugin.
  `static final String`
  `DATA`
  Help Topic for data.
  `static final String`
  `DATA_MANAGER`
  Help Topic for the data manager.
  `static final String`
  `DATA_TYPE_EDITORS`
  Help Topic for the data type editors.
  `static final String`
  `DECOMPILER`
  Help Topic for the decompiler
  `static final String`
  `DIFF`
  Help Topic for doing diffs between programs.
  `static final String`
  `EQUATES`
  Help Topic for equates.
  `static final String`
  `EXPORTER`
  Help Topic for the exporters.
  `static final String`
  `FIND_REFERENCES`
  Help Topic for references searching
  `static final String`
  `FRONT_END`
  Name of options for the help topic for the front end (Ghidra Project Window).
  `static final String`
  `GLOSSARY`
  Help Topic for the glossary.
  `static final String`
  `HIGHLIGHT`
  Help Topic for highlighting.
  `static final String`
  `IMPORTER`
  Help Topic for the importers.
  `static final String`
  `INTRO`
  Help for Intro topics.
  `static final String`
  `LABEL`
  Help Topic for the add/edit label.
  `static final String`
  `MEMORY_MAP`
  Help Topic for the memory map.
  `static final String`
  `NAVIGATION`
  Help Topic for navigation.
  `static final String`
  `PE2XML`
  Help Topic for the P2 to XML exporter.
  `static final String`
  `PROGRAM`
  Help Topic for programs (open, close, save, etc.).
  `static final String`
  `PROGRAM_TREE`
  Help Topic for the program tree.
  `static final String`
  `REFERENCES`
  Help Topic for references.
  `static final String`
  `RELOCATION_TABLE`
  Help Topic for the relocation table.
  `static final String`
  `REPOSITORY`
  Help Topic for the project repository.
  `static final String`
  `RUNTIME_INFO`
  Help Topic for the Runtime Info Plugin.
  `static final String`
  `SEARCH`
  Help Topic for search functions.
  `static final String`
  `SELECTION`
  Help Topic for selection.
  `static final String`
  `SYMBOL_TABLE`
  Help Topic for the symbol table.
  `static final String`
  `SYMBOL_TREE`
  Help Topic for the symbol tree.
  `static final String`
  `TOOL`
  Help Topic for tools.

- ## Field Details

  - ### ABOUT

    static final String ABOUT
    Help Topic for "About."
    See Also:
      - Constant Field Values

  - ### AUTO_ANALYSIS

    static final String AUTO_ANALYSIS
    Help Topic for auto analysis.
    See Also:
      - Constant Field Values

  - ### BLOCK_MODEL

    static final String BLOCK_MODEL
    Help Topic for block models.
    See Also:
      - Constant Field Values

  - ### BOOKMARKS

    static final String BOOKMARKS
    Help Topic for bookmarks.
    See Also:
      - Constant Field Values

  - ### BYTE_VIEWER

    static final String BYTE_VIEWER
    Help Topic for the byte viewer.
    See Also:
      - Constant Field Values

  - ### CODE_BROWSER

    static final String CODE_BROWSER
    Help Topic for the code browser.
    See Also:
      - Constant Field Values

  - ### CONSOLE

    static final String CONSOLE
    Help Topic for the Console Plugin.
    See Also:
      - Constant Field Values

  - ### COMMENTS

    static final String COMMENTS
    Help Topic for comments.
    See Also:
      - Constant Field Values

  - ### DATA

    static final String DATA
    Help Topic for data.
    See Also:
      - Constant Field Values

  - ### DATA_MANAGER

    static final String DATA_MANAGER
    Help Topic for the data manager.
    See Also:
      - Constant Field Values

  - ### DATA_TYPE_EDITORS

    static final String DATA_TYPE_EDITORS
    Help Topic for the data type editors.
    See Also:
      - Constant Field Values

  - ### DECOMPILER

    static final String DECOMPILER
    Help Topic for the decompiler
    See Also:
      - Constant Field Values

  - ### DIFF

    static final String DIFF
    Help Topic for doing diffs between programs.
    See Also:
      - Constant Field Values

  - ### EQUATES

    static final String EQUATES
    Help Topic for equates.
    See Also:
      - Constant Field Values

  - ### EXPORTER

    static final String EXPORTER
    Help Topic for the exporters.
    See Also:
      - Constant Field Values

  - ### FIND_REFERENCES

    static final String FIND_REFERENCES
    Help Topic for references searching
    See Also:
      - Constant Field Values

  - ### FRONT_END

    static final String FRONT_END
    Name of options for the help topic for the front end (Ghidra Project Window).
    See Also:
      - Constant Field Values

  - ### GLOSSARY

    static final String GLOSSARY
    Help Topic for the glossary.
    See Also:
      - Constant Field Values

  - ### HIGHLIGHT

    static final String HIGHLIGHT
    Help Topic for highlighting.
    See Also:
      - Constant Field Values

  - ### IMPORTER

    static final String IMPORTER
    Help Topic for the importers.
    See Also:
      - Constant Field Values

  - ### INTRO

    static final String INTRO
    Help for Intro topics.
    See Also:
      - Constant Field Values

  - ### LABEL

    static final String LABEL
    Help Topic for the add/edit label.
    See Also:
      - Constant Field Values

  - ### NAVIGATION

    static final String NAVIGATION
    Help Topic for navigation.
    See Also:
      - Constant Field Values

  - ### MEMORY_MAP

    static final String MEMORY_MAP
    Help Topic for the memory map.
    See Also:
      - Constant Field Values

  - ### PE2XML

    static final String PE2XML
    Help Topic for the P2 to XML exporter.
    See Also:
      - Constant Field Values

  - ### PROGRAM

    static final String PROGRAM
    Help Topic for programs (open, close, save, etc.).
    See Also:
      - Constant Field Values

  - ### PROGRAM_TREE

    static final String PROGRAM_TREE
    Help Topic for the program tree.
    See Also:
      - Constant Field Values

  - ### REFERENCES

    static final String REFERENCES
    Help Topic for references.
    See Also:
      - Constant Field Values

  - ### RELOCATION_TABLE

    static final String RELOCATION_TABLE
    Help Topic for the relocation table.
    See Also:
      - Constant Field Values

  - ### REPOSITORY

    static final String REPOSITORY
    Help Topic for the project repository.
    See Also:
      - Constant Field Values

  - ### RUNTIME_INFO

    static final String RUNTIME_INFO
    Help Topic for the Runtime Info Plugin.
    See Also:
      - Constant Field Values

  - ### SEARCH

    static final String SEARCH
    Help Topic for search functions.
    See Also:
      - Constant Field Values

  - ### SELECTION

    static final String SELECTION
    Help Topic for selection.
    See Also:
      - Constant Field Values

  - ### SYMBOL_TABLE

    static final String SYMBOL_TABLE
    Help Topic for the symbol table.
    See Also:
      - Constant Field Values

  - ### SYMBOL_TREE

    static final String SYMBOL_TREE
    Help Topic for the symbol tree.
    See Also:
      - Constant Field Values

  - ### TOOL

    static final String TOOL
    Help Topic for tools.
    See Also:
      - Constant Field Values